Package csb :: Package bio :: Package fragments :: Class Target

[frames] | no frames]

# Class Target

source code

                object --+
                         |
    core.AbstractContainer --+
                             |
      core.AbstractNIContainer --+
                                 |
                                Target

Known Subclasses:
  - ChemShiftTarget

Represents a protein structure prediction target.

Nested Classes
Inherited from `core.AbstractContainer`: `__metaclass__`

Instance Methods

__init__(self, id, length, residues, overlap=None, factory=<csb.bio.fragments.AssignmentFactory object at 0xa26cdcc>) x.__init__(...) initializes x; see help(type(x)) for signature | source code

assign(self, fragment) Add a new fragment match. | source code

assignall(self, fragments) Assign a bunch of fragments at once. | source code

Target

clone(self) Returns: a deep copy of the target | source code

Target

filter(self, threshold=1.5, extend=False) Filter the current fragment map using a FragmentCluster. | source code

Inherited from `core.AbstractNIContainer`: `__getitem__` Inherited from `core.AbstractContainer`: `__bool__`, `__iter__`, `__len__`, `__nonzero__` Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__sizeof__`, `__str__`, `__subclasshook__`

Static Methods

deserialize(pickle) | source code

Target

from_profile(hmm) Factory, which builds Target objects from an HMM profile. | source code

Target

from_sequence(id, sequence) Factory, which builds Target objects from a bare sequence. | source code

Class Variables
| __abstractmethods__ = ``frozenset([``])``

Properties
| accession
| chain_id
| errors
| id
| length
| matches
| max_overlap
| residues
| sequence
Inherited from `object`: `__class__`

Method Details

### __init__(self, id, length, residues, overlap=None, factory=<csb.bio.fragments.AssignmentFactory object at 0xa26cdcc>)
(Constructor)

source code

x.__init__(...) initializes x; see help(type(x)) for signature

Parameters:
  - `id` (str) - target sequence ID, in PDB accnC format
  - `length` (int) - total target sequence length
  - `residues` (iterable of csb.bio.structure.ProteinResidues) - a list, containing target's residues. See also Target.from_sequence
Overrides: object.__init__
  (inherited documentation)

### assign(self, fragment)

source code

Add a new fragment match.

Parameters:
  - `fragment` (Assignment) - fragment to assign

### assignall(self, fragments)

source code

Assign a bunch of fragments at once.

Parameters:
  - `fragments` (iterable of Assignments)

### clone(self)

source code

Returns: Target
  a deep copy of the target

### filter(self, threshold=1.5, extend=False)

source code

Filter the current fragment map using a FragmentCluster.

Parameters:
  - `threshold` (float) - cluster RMSD threshold (see FragmentCluster)
  - `extend` (bool) - pick extended alternatives where possible (default=False)
Returns: Target
  a new target, containing only cluster centroids/reps

### from_profile(hmm)
Static Method

source code

Factory, which builds Target objects from an HMM profile.

Parameters:
  - `hmm` (csb.bio.hmm.ProfileHMM) - target's HMM
Returns: Target

### from_sequence(id, sequence)
Static Method

source code

Factory, which builds Target objects from a bare sequence.

Parameters:
  - `sequence` (csb.bio.sequence.AbstractSequence, str or iterable) - target's sequence
Returns: Target

Property Details

### accession

Get Method:
  unreachable.accession(self)

### chain_id

Get Method:
  unreachable.chain_id(self)

### errors

Get Method:
  unreachable.errors(self)

### id

Get Method:
  unreachable.id(self)

### length

Get Method:
  unreachable.length(self)

### matches

Get Method:
  unreachable.matches(self)

### max_overlap

Get Method:
  unreachable.max_overlap(self)

### residues

Get Method:
  unreachable.residues(self)

### sequence

Get Method:
  unreachable.sequence(self)